kumquat-buildroot/package/gcc/6.5.0/100-uclibc-conf.patch
Romain Naour 7f283452c8 package/gcc: bump to version 6.5.0
Remove upstream patches:

0002-fix-building-on-ppc64.patch
765527ad37

0003-libsanitizer-Use-pre-computed-size.patch
61f38c64c0

942-Use-ucontext_t-not-struct-ucontext-in-linux-unwind.h.patch
b685411208

943-sanitizer-linux.patch
8937b94d1a

870-xtensa-fix-PR-target-82181.patch
dbbb835381

871-xtensa-fix-PR-target-65416.patch
36f42654cb

872-gcc-xtensa-fix-NAND-code-in-xtensa_expand_atomic.patch using patch
9f149a1a92

Signed-off-by: Romain Naour <romain.naour@gmail.com>
Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
2018-12-08 20:54:47 +01:00

16 lines
603 B
Diff

Index: b/contrib/regression/objs-gcc.sh
===================================================================
--- a/contrib/regression/objs-gcc.sh
+++ b/contrib/regression/objs-gcc.sh
@@ -106,6 +106,10 @@
then
make all-gdb all-dejagnu all-ld || exit 1
make install-gdb install-dejagnu install-ld || exit 1
+elif [ $H_REAL_TARGET = $H_REAL_HOST -a $H_REAL_TARGET = i686-pc-linux-uclibc ]
+ then
+ make all-gdb all-dejagnu all-ld || exit 1
+ make install-gdb install-dejagnu install-ld || exit 1
elif [ $H_REAL_TARGET = $H_REAL_HOST ] ; then
make bootstrap || exit 1
make install || exit 1